Bug 431596 - wget -nc connects to server unnecessarily.
wget -nc connects to server unnecessarily.
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-05 14:33 EST by Ralph Loader
Modified: 2008-02-07 06:58 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-07 06:58:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ralph Loader 2008-02-05 14:33:12 EST
If I do a 'wget -nc' on a file that already exists, then 'wget' makes an
unnecessary connection to the server.  Older versions of wget showed the better
behaviour of not connecting to the server in this case.

$ ls -l kernel-2.6.24-17.fc9.i686.rpm
-rw-r--r-- 1 ralph ralph 17911474 2008-02-05 14:03 kernel-2.6.24-17.fc9.i686.rpm

$ wget -nc
--2008-02-06 08:31:02-- 
Resolving download.fedora.redhat.com...,,
Connecting to download.fedora.redhat.com||:80... connected.
HTTP request sent, awaiting response... 200 OK
File `kernel-2.6.24-17.fc9.i686.rpm' already there; not retrieving.
Comment 1 Karsten Hopp 2008-02-07 06:58:27 EST
This has been fixed upstream in wget 1.11.1-beta and will soon be in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.